" - Core Key Bindings -
"" Map Leader to spacebar
let mapleader=" "
"" Open Custom Help
nnoremap <Leader>? :e $XDG_CONFIG_HOME/nvim/help.md<cr>
nnoremap <Leader>/ :e $XDG_CONFIG_HOME/nvim/help.md<cr>
"" Shortcut to save
nnoremap <Leader>w :w<CR>
"" Moving current lines up/down
nnoremap <Leader>k  :<c-u>execute 'move -1-'. v:count1<cr>
nnoremap <Leader>j  :<c-u>execute 'move +'. v:count1<cr>
"" Buffers Next/Previous
nnoremap <Tab> :bnext<CR>
nnoremap <S-Tab> :bprev<CR>
  "" Shortcut to close buffer
  nnoremap <Esc><Esc> :bd<CR>
  "" Shortcut to reopen closed buffer
  nmap <Leader><Leader> <c-^>

" - Plugin Key Bindings -
" Find files using Telescope command-line sugar.
nnoremap <leader>ff <cmd>Telescope find_files find_command=rg,--ignore,--hidden,--files<cr>
nnoremap <leader>fg <cmd>Telescope live_grep<cr>
nnoremap <leader>fr <cmd>Telescope registers<cr>
nnoremap <leader>fb <cmd>Telescope buffers<cr>
nnoremap <leader>fgb <cmd>Telescope git_branches<cr>
nnoremap <leader>fgc <cmd>Telescope git_commits<cr>
nnoremap <leader>fgt <cmd>Telescope tags<cr>
" fern
nnoremap <Leader>` :Fern . -reveal=%<CR>
" toggle alternative
nnoremap <Leader>ta :ToggleAlternate<CR>
