# Gaiety's Neovim Help

## Keys

### Global

* `Spacebar`            Leader
* `<Leader>? {or /}`    Open _this_ help file

### Panes

* `Ctrl h {or j, k, l}` Change pane up, down, left or right

### Buffers

* `<Leader>w`           Save
* `Esc Esc`             Close buffer
* `<Leader><Leader>`    Reopen buffer
* `Tab {or Shift Tab}`  Next (or previous) buffer
* `<Leader>fb`          Fuzzy find by buffer
* `<Leader>hR`          Git reset buffer

### Editing

* `<Leader>k {or j}`    Move **current** line up/down
* **Insert Mode** `Tab`     Autocomplete
* `<Leader>ta`          Toggle Alternative (false/true)

### Browsing Files

* `<Leader>{tilde}`     Open file browser
* `<Leader>ff`          Fuzzy find files in git project
* `<Leader>fg`          Grep searches in git project

### Registers

* `"`                   See (and use) registers
* `<Leader>fr`          Fuzzy find by registers

### Git

* `<Leader>fgb`         Fuzzy find by git branches
* `<Leader>fgc`         Fuzzy find by git commits
* `<Leader>fgt`         Fuzzy find by git tags

* `<Leader>gb`          Blame **current** line
* `<Leader>hn {or hp}`  Go to next or previous hunk
* `<Leader>hs`          Stage **current** hunk
* `<Leader>hu`          Undo stage hunk
* `<Leader>hp`          Preview hunk
* `<Leader>hr`          Reset hunk
* `<Leader>hR`          Reset buffer
